org.apache.solr.search.join

## Class GraphQueryParser

- java.lang.Object
- - org.apache.solr.search.QParser
  - - org.apache.solr.search.join.GraphQueryParser

-     public class GraphQueryParser
      extends QParser

  Solr query parser that will handle parsing graph query requests.

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.search.QParser

      `localParams, localParamsEnd, params, qstr, query, recurseCount, req, stringIncludingLocalParams, valFollowedParams`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphQueryParser(String qstr, SolrParams localParams, SolrParams params, SolrQueryRequest req)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Query` | `parse()` Create and return the `Query` object represented by `qstr`.

    - ### Methods inherited from class org.apache.solr.search.QParser

      `addDebugInfo, getDefaultHighlightFields, getHighlightQuery, getLocalParams, getParam, getParams, getParser, getParser, getQuery, getReq, getSort, getSortSpec, getString, setLocalParams, setParams, setReq, setString, subQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphQueryParser

          public GraphQueryParser(String qstr,
                                  SolrParams localParams,
                                  SolrParams params,
                                  SolrQueryRequest req)

  - ### Method Detail

    - #### parse

          public Query parse()
                      throws SyntaxError

      Description copied from class: `QParser`
      Create and return the `Query` object represented by `qstr`. Null MAY be returned to signify there was no input (e.g. no query string) to parse.
      Specified by:
        `parse` in class `QParser`
      Throws:
        `SyntaxError`
      See Also:
        `QParser.getQuery()`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.